Skip to content
GuidesBlogPlaygroundDashboard

Look up elevation for multiple coordinates

POST/api/v1/elevation/batch

Look up elevation for multiple coordinates

Query ParametersExpand Collapse
format: optional string

Response format: json (default), geojson, csv, ndjson

Body ParametersJSONExpand Collapse
coordinates: array of object { lat, lng }

Coordinates to look up elevations for (max 50)

lat: number

Latitude in decimal degrees (-90 to 90)

maximum90
minimum-90
lng: number

Longitude in decimal degrees (-180 to 180)

maximum180
minimum-180
ReturnsExpand Collapse
ElevationBatchResult = object { features, type }

GeoJSON FeatureCollection of elevation Point Features with 3D coordinates. Order matches the input coordinates array.

features: array of ElevationLookupResult { geometry, properties, type }

Elevation results in the same order as input coordinates

geometry: GeoJsonGeometry { coordinates, type }

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: array of number or array of array of number or array of array of array of number or array of array of array of array of number

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
Point = array of number

[longitude, latitude] or [longitude, latitude, elevation]

LineStringOrMultiPoint = array of array of number

Array of [lng, lat] positions

PolygonOrMultiLineString = array of array of array of number

Array of linear rings / line strings

MultiPolygon = array of array of array of array of number

Array of polygons

type: "Point" or "LineString" or "Polygon" or 3 more

Geometry type

One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: object { elevation_m }
elevation_m: number

Elevation in meters above mean sea level (WGS84 EGM96 geoid)

type: "Feature"
type: "FeatureCollection"

Look up elevation for multiple coordinates

curl https://plaza.fyi/api/v1/elevation/batch \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $PLAZA_API_KEY" \
    -d '{
          "coordinates": [
            {
              "lat": 48.8566,
              "lng": 2.3522
            },
            {
              "lat": 45.764,
              "lng": 4.8357
            }
          ]
        }'
{
  "features": [
    {
      "geometry": {
        "coordinates": [
          2.3522,
          48.8566
        ],
        "type": "Point"
      },
      "properties": {
        "elevation_m": 35.2
      },
      "type": "Feature"
    }
  ],
  "type": "FeatureCollection"
}
Returns Examples
{
  "features": [
    {
      "geometry": {
        "coordinates": [
          2.3522,
          48.8566
        ],
        "type": "Point"
      },
      "properties": {
        "elevation_m": 35.2
      },
      "type": "Feature"
    }
  ],
  "type": "FeatureCollection"
}